gsw_kappa_t_exact {gsw} | R Documentation

## Isentropic compressibility of seawater (exact)

### Description

Isentropic compressibility of seawater (exact)

### Usage

    gsw_kappa_t_exact(SA, t, p)

### Arguments

`SA` | Absolute Salinity [ g/kg ]
`t` | in-situ temperature (ITS-90) [ degC ]
`p` | sea pressure [dbar], i.e. absolute pressure [dbar] minus 10.1325 dbar

### Details

The present R function works with a wrapper to a C function contained within the GSW-C system (Version 3.05-4 dated 2017-08-07, available at https://github.com/TEOS-10/GSW-C, as git commit '5b4d959e54031f9e972f3e863f63e67fa4f5bfec'), which stems from the GSW-Fortran system (https://github.com/TEOS-10/GSW-Fortran) which in turn stems from the GSW-Matlab system (https://github.com/TEOS-10/GSW-Matlab). Consult http://www.teos-10.org to learn more about these software systems, their authorships, and the science behind it all.

### Value

isentropic compressibility [ 1/Pa ] (not 1/dbar)

### References

http://www.teos-10.org/pubs/gsw/html/gsw_kappa_t_exact.html

### See Also

Other things related to compressibility: `gsw_kappa_const_t_ice`, `gsw_kappa_ice`, `gsw_kappa`

### Examples

    SA <- c(34.7118, 34.8915, 35.0256, 34.8472, 34.7366, 34.7324)
    CT <-c( 28.7856, 28.4329, 22.8103, 10.2600,  6.8863,  4.4036)
    p <- c(      10,      50,     125,     250,     600,    1000)
    kappa <- gsw_kappa(SA, CT, p)
    expect_equal(kappa*1e9, c(0.411343648791300, 0.411105416128094, 0.416566236026610,
                            0.435588650838751, 0.438782500588955, 0.439842289994702))

[Package gsw version 1.0-5 Index]